Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.rulesys
Class BuiltinRegistry

    java.lang.Object
      com.hp.hpl.jena.reasoner.rulesys.BuiltinRegistry

    public class BuiltinRegistry

extends java.lang.Object

A registry for mapping functor names on java objects (instances of subclasses of Builtin) which implement their behvaiour.

This is currently implemented as a singleton to simply any future move to support different sets of builtins.

See Also:
  `* @author Dave Reynolds * @version $Revision: 1.26 $ on $Date: 2008/01/02 12:07:46 $`

Field Summary
`static BuiltinRegistry` | `theRegistry` The single global static registry

Constructor Summary
`BuiltinRegistry()` Construct an empty registry

Method Summary
`Builtin` | `getImplementation(java.lang.String functor)` Find the implementation of the given builtin functor.
`Builtin` | `getImplementationByURI(java.lang.String uri)` Find the implementation of the given builtin functor.
`void` | `register(Builtin impl)` Register an implementation for a given builtin using its default name.
`void` | `register(java.lang.String functor, Builtin impl)` Register an implementation for a given builtin functor.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theRegistry

    public static BuiltinRegistry theRegistry

  The single global static registry

Constructor Detail

### BuiltinRegistry

    public BuiltinRegistry()

  Construct an empty registry

Method Detail

### register

    public void register(java.lang.String functor,
                         Builtin impl)

  Register an implementation for a given builtin functor.

  Parameters:
    `functor` - the name of the functor used to invoke the builtin
    `impl` - the implementation of the builtin

### register

    public void register(Builtin impl)

  Register an implementation for a given builtin using its default name.

  Parameters:
    `impl` - the implementation of the builtin

### getImplementation

    public Builtin getImplementation(java.lang.String functor)

  Find the implementation of the given builtin functor.

  Parameters:
    `functor` - the name of the functor being invoked.
  Returns:
    a Builtin or null if there is none registered under that name

### getImplementationByURI

    public Builtin getImplementationByURI(java.lang.String uri)

  Find the implementation of the given builtin functor.

  Parameters:
    `uri` - the URI of the builtin to be retrieved
  Returns:
    a Builtin or null if there is none registered under that name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP